---

- hosts: soeru.osci.io
  vars:
    data_dir: "{{ inventory_dir }}/data/tenants/osci/jumphost/"
    authkeys_dir: /etc/ssh/authorized_keys/
  handlers:
    - name: "Restart SSH Service"
      service:
        name: sshd
        state: restarted

  tasks:
    - name: "Create swap"
      include_role:
        name: swap_file
      vars:
        size: 1G
        path: /var/swap

    - name: "Create Jumphost User Config for Cage Tenants Mgmt"
      include_tasks: jumphost_user.yml
      vars:
        jumphost_users: "{{ tenant_groups.keys() | list }}"
        jumphost_keys: "{{ tenant_groups[jumphost_user]['members'] | map('extract', tenant_users) | map(attribute='ssh_keys') | flatten | list }}"
        jumphost_acls: "{{ tenant_groups[jumphost_user]['jumphost_acls'] }}"
      when: tenant_groups[jumphost_user].jumphost_acls is defined
      loop: "{{ jumphost_users }}"
      loop_control:
        loop_var: jumphost_user

